import request from '@/utils/request'
import { parseStrEmpty } from "@/utils/ruoyi";

// 查询用户列表
export function listUser(query) {
  return request({
    url: '/system/appUser/list',
    method: 'get',
    params: query
  })
}
// 获取角色选择框列表
export function optionselect(query) {
  return request({
    url: '/system/role/optionselect',
    method: 'get',
    params: query
  })
}

// 新增用户
export function addUser(data) {
  return request({
    url: '/system/appUser/addMerchantUser',
    method: 'post',
    data: data
  })
}

// 删除用户
export function delUser(query) {
  return request({
    url: '/system/appUser/removeMerchantUser',
    method: 'get',
    params: query
  })
}
